org.eclipse.actf.visualization.eval.problem

## Class HighlightTargetNodeInfo

- java.lang.Object
- - org.eclipse.actf.visualization.eval.problem.HighlightTargetNodeInfo

    public class HighlightTargetNodeInfo
    extends Object

Utility class to get highlight target information.

### Constructor Summary

Constructors
Constructor and Description
`HighlightTargetNodeInfo(List<Node> targets)` Constructor of the class
`HighlightTargetNodeInfo(Node target)` Constructor of the class
`HighlightTargetNodeInfo(Node startTarget, Node endTarget)` Constructor of the class

### Method Summary

Methods
`HighlightTargetId[]` `getHighlightTargetIds(Map<Node,Integer> node2Id)` Get corresponding `Node` IDs relate to the target `Node`
`HighlightTargetSourceInfo[]` `getHighlightTargetSourceInfo(Vector<Html2ViewMapData> html2ViewMapDataV)` Get corresponding HTML source positions relate to the target `Node`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HighlightTargetNodeInfo

    public HighlightTargetNodeInfo(Node target)

Constructor of the class

Parameters:
  `target` - target `Node` to highlight corresponding positions

#### HighlightTargetNodeInfo

    public HighlightTargetNodeInfo(Node startTarget,
                           Node endTarget)

Constructor of the class

Parameters:
  `startTarget` - start `Node` to highlight corresponding positions
  `endTarget` - end `Node` to highlight corresponding positions

#### HighlightTargetNodeInfo

    public HighlightTargetNodeInfo(List<Node> targets)

Constructor of the class

Parameters:
  `targets` - list of target `Node` to highlight corresponding positions

### Method Detail

#### getHighlightTargetIds

    public HighlightTargetId[] getHighlightTargetIds(Map<Node,Integer> node2Id)

Get corresponding `Node` IDs relate to the target `Node`

Parameters:
  `node2Id` - map between `Node` and ID
Returns:
  target ID information as array of `HighlightTargetId`

#### getHighlightTargetSourceInfo

    public HighlightTargetSourceInfo[] getHighlightTargetSourceInfo(Vector<Html2ViewMapData> html2ViewMapDataV)

Get corresponding HTML source positions relate to the target `Node`

Parameters:
  `html2ViewMapDataV` - Vector of HTML source position information
Returns:
  corresponding HTML source positions as array of `HighlightTargetSourceInfo`